void leituraBotoes(){
  valueBt0 = pcfBotoes.digitalRead(0);
  valueBt1 = pcfBotoes.digitalRead(1);
  valueBt2 = pcfBotoes.digitalRead(2);
  valueBt3 = pcfBotoes.digitalRead(3);  
  valueBt7 = pcfBotoes.digitalRead(7); // Luz Exterior
  // Leitura dos botões referentes ao Ar Condicionado da casa
  valueBt4 = pcfBotoes.digitalRead(4);
  valueBt5 = pcfBotoes.digitalRead(5);
  // Leitura do botões referentes à abertura do portão da garagem
  valueLMB = digitalRead(portasARD[limitBt]);
  valueBt6 = pcfBotoes.digitalRead(6);

  // Impressão dos valores para monitorização
  Serial.print(valueBt0);
  Serial.print(" - ");
  Serial.print(valueBt1);
  Serial.print(" - ");
  Serial.print(valueBt2);
  Serial.print(" - ");
  Serial.print(valueBt3);
  Serial.print(" - ");
  Serial.print(valueBt4);
  Serial.print(" - ");
  Serial.print(valueBt5);
  Serial.print(" - ");
  Serial.print(valueBt6);
  Serial.print(" - ");
  Serial.print(valueBt7);
  Serial.print(" - ");
  Serial.println(valueLMB);
}

void ligaDesligaLuz(int value, int divisao){
  if(value == 1){
    if(!estadoDivisao[divisao]){ // Se a condição se verificar liga a luz da divisão
      Serial.println("Liga a Luz");
      Serial.println(portasARD[divisao]);
      digitalWrite(portasARD[divisao], HIGH);
      estadoDivisao[divisao] = true;
    } else { // Caso contrário desliga a luz da divisão
      Serial.println("Desliga a Luz");
      digitalWrite(portasARD[divisao], LOW);
      estadoDivisao[divisao] = false;
    }    
  }
}

void fechaPortaoAutomatico(){
  do{
    myStepper.step(10);
    valueLMB = digitalRead(portasARD[limitBt]);    
    Serial.println(valueLMB);
  } while(valueLMB != 1);
}

void abreFechaPortaoGaragem(int valueBtPortao){
  if(valueBtPortao == 1){
    if(!aberto){
      Serial.println("A abrir portão...");
      for(int i=0; i<20; i++){
        myStepper.step(-nPassos);
      }
      aberto = true;
    } else {
      Serial.println("A fechar portão...");
      for(int i=0; i<20; i++){
        myStepper.step(nPassos);
      }
      aberto = false;
    }
  }
}
